<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/cita_soporte_tecnico.php';
$response = array();

if (!isset($_POST['id_cita_soporte_tecnico'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_cita_soporte_tecnico = $_POST['id_cita_soporte_tecnico'];

$cita_soporte_tecnico = CitaSoporteTecnico::mdlGetCitaSoporteTecnico($id_cita_soporte_tecnico);

if (!$cita_soporte_tecnico) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontró la cita de soporte técnico';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $cita_soporte_tecnico;

echo json_encode($response);